[144882] users/devans/GNOME-3/stable/dports/gnome/gtksourceview3

devans at macports.org devans at macports.org
Tue Jan 19 21:33:30 PST 2016


Revision: 144882
          https://trac.macports.org/changeset/144882
Author:   devans at macports.org
Date:     2016-01-19 21:33:30 -0800 (Tue, 19 Jan 2016)
Log Message:
-----------
GNOME-3/stable: gtksourceview3, update autogen.sh from git maintenance branch, no longer requires gnome-common to configure.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/Portfile
    users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/files/autogen.sh

Modified: users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/Portfile	2016-01-20 05:08:45 UTC (rev 144881)
+++ users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/Portfile	2016-01-20 05:33:30 UTC (rev 144882)
@@ -33,7 +33,6 @@
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:gtk-doc \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool

Modified: users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/files/autogen.sh	2016-01-20 05:08:45 UTC (rev 144881)
+++ users/devans/GNOME-3/stable/dports/gnome/gtksourceview3/files/autogen.sh	2016-01-20 05:33:30 UTC (rev 144882)
@@ -1,23 +1,38 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=`pwd`
 
-PKG_NAME="gtksourceview"
+cd $srcdir
 
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/README \
-  && test -d $srcdir/gtksourceview) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
+(test -f configure.ac) || {
+	echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+	exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
-}
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
 
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+	echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+	echo "*** If you wish to pass any to it, please specify them on the" >&2
+	echo "*** \`$0\' command line." >&2
+	echo "" >&2
+fi
+
+aclocal --install || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+	$srcdir/configure "$@" || exit 1
+
+	if [ "$1" = "--help" ]; then exit 0 else
+		echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+	fi
+else
+	echo "Skipping configure process."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160119/19cd4447/attachment.html>


More information about the macports-changes mailing list